<?xml version="1.0" encoding="utf-8"?>
<Project ToolsVersion="12.0" DefaultTargets="Build" xmlns="http://schemas.microsoft.com/developer/msbuild/2003">
  <Import Project="$(MSBuildExtensionsPath)\$(MSBuildToolsVersion)\Microsoft.Common.props" Condition="Exists('$(MSBuildExtensionsPath)\$(MSBuildToolsVersion)\Microsoft.Common.props')" />
  <PropertyGroup>
    <Configuration Condition=" '$(Configuration)' == '' ">Debug</Configuration>
    <Platform Condition=" '$(Platform)' == '' ">AnyCPU</Platform>
    <ProductVersion>8.0.30703</ProductVersion>
    <SchemaVersion>2.0</SchemaVersion>
    <ProjectGuid>{AC23EBF4-4CD0-43EA-9808-0E6DCD12E791}</ProjectGuid>
    <OutputType>Library</OutputType>
    <AppDesignerFolder>Properties</AppDesignerFolder>
    <RootNamespace>FooEditEngine</RootNamespace>
    <AssemblyName>FooEditEngine.Metro</AssemblyName>
    <DefaultLanguage>ja-JP</DefaultLanguage>
    <FileAlignment>512</FileAlignment>
    <ProjectTypeGuids>{BC8A1FFA-BEE3-4634-8014-F334798102B3};{FAE04EC0-301F-11D3-BF4B-00C04F79EFBC}</ProjectTypeGuids>
    <TargetPlatformVersion>8.1</TargetPlatformVersion>
    <MinimumVisualStudioVersion>12</MinimumVisualStudioVersion>
    <TargetFrameworkVersion />
  </PropertyGroup>
  <PropertyGroup Condition=" '$(Configuration)|$(Platform)' == 'Debug|AnyCPU' ">
    <DebugSymbols>true</DebugSymbols>
    <DebugType>full</DebugType>
    <Optimize>false</Optimize>
    <OutputPath>bin\Debug\</OutputPath>
    <DefineConstants>TRACE;DEBUG;NETFX_CORE,METRO</DefineConstants>
    <ErrorReport>prompt</ErrorReport>
    <WarningLevel>4</WarningLevel>
    <DocumentationFile>bin\Debug\FooEditEngine.Metro.XML</DocumentationFile>
  </PropertyGroup>
  <PropertyGroup Condition=" '$(Configuration)|$(Platform)' == 'Release|AnyCPU' ">
    <DebugType>pdbonly</DebugType>
    <Optimize>true</Optimize>
    <OutputPath>bin\Release\</OutputPath>
    <DefineConstants>TRACE;NETFX_CORE,METRO</DefineConstants>
    <ErrorReport>prompt</ErrorReport>
    <WarningLevel>4</WarningLevel>
    <DocumentationFile>bin\Release\FooEditEngine.Metro.XML</DocumentationFile>
  </PropertyGroup>
  <PropertyGroup Condition="'$(Configuration)|$(Platform)' == 'Debug|ARM'">
    <DebugSymbols>true</DebugSymbols>
    <OutputPath>bin\ARM\Debug\</OutputPath>
    <DefineConstants>DEBUG;TRACE;NETFX_CORE</DefineConstants>
    <NoWarn>;2008</NoWarn>
    <DebugType>full</DebugType>
    <PlatformTarget>ARM</PlatformTarget>
    <UseVSHostingProcess>false</UseVSHostingProcess>
    <ErrorReport>prompt</ErrorReport>
    <Prefer32Bit>true</Prefer32Bit>
  </PropertyGroup>
  <PropertyGroup Condition="'$(Configuration)|$(Platform)' == 'Release|ARM'">
    <OutputPath>bin\ARM\Release\</OutputPath>
    <DefineConstants>TRACE;NETFX_CORE</DefineConstants>
    <Optimize>true</Optimize>
    <NoWarn>;2008</NoWarn>
    <DebugType>pdbonly</DebugType>
    <PlatformTarget>ARM</PlatformTarget>
    <UseVSHostingProcess>false</UseVSHostingProcess>
    <ErrorReport>prompt</ErrorReport>
    <Prefer32Bit>true</Prefer32Bit>
  </PropertyGroup>
  <PropertyGroup Condition="'$(Configuration)|$(Platform)' == 'Debug|x64'">
    <DebugSymbols>true</DebugSymbols>
    <OutputPath>bin\x64\Debug\</OutputPath>
    <DefineConstants>DEBUG;TRACE;NETFX_CORE</DefineConstants>
    <NoWarn>;2008</NoWarn>
    <DebugType>full</DebugType>
    <PlatformTarget>x64</PlatformTarget>
    <UseVSHostingProcess>false</UseVSHostingProcess>
    <ErrorReport>prompt</ErrorReport>
    <Prefer32Bit>true</Prefer32Bit>
  </PropertyGroup>
  <PropertyGroup Condition="'$(Configuration)|$(Platform)' == 'Release|x64'">
    <OutputPath>bin\x64\Release\</OutputPath>
    <DefineConstants>TRACE;NETFX_CORE</DefineConstants>
    <Optimize>true</Optimize>
    <NoWarn>;2008</NoWarn>
    <DebugType>pdbonly</DebugType>
    <PlatformTarget>x64</PlatformTarget>
    <UseVSHostingProcess>false</UseVSHostingProcess>
    <ErrorReport>prompt</ErrorReport>
    <Prefer32Bit>true</Prefer32Bit>
  </PropertyGroup>
  <PropertyGroup Condition="'$(Configuration)|$(Platform)' == 'Debug|x86'">
    <DebugSymbols>true</DebugSymbols>
    <OutputPath>bin\x86\Debug\</OutputPath>
    <DefineConstants>DEBUG;TRACE;NETFX_CORE</DefineConstants>
    <NoWarn>;2008</NoWarn>
    <DebugType>full</DebugType>
    <PlatformTarget>x86</PlatformTarget>
    <UseVSHostingProcess>false</UseVSHostingProcess>
    <ErrorReport>prompt</ErrorReport>
    <Prefer32Bit>true</Prefer32Bit>
  </PropertyGroup>
  <PropertyGroup Condition="'$(Configuration)|$(Platform)' == 'Release|x86'">
    <OutputPath>bin\x86\Release\</OutputPath>
    <DefineConstants>TRACE;NETFX_CORE</DefineConstants>
    <Optimize>true</Optimize>
    <NoWarn>;2008</NoWarn>
    <DebugType>pdbonly</DebugType>
    <PlatformTarget>x86</PlatformTarget>
    <UseVSHostingProcess>false</UseVSHostingProcess>
    <ErrorReport>prompt</ErrorReport>
    <Prefer32Bit>true</Prefer32Bit>
  </PropertyGroup>
  <ItemGroup>
    <!-- A reference to the entire .Net Framework and Windows SDK are automatically included -->
    <Page Include="Themes\Generic.xaml">
      <Generator>MSBuild:Compile</Generator>
      <SubType>Designer</SubType>
    </Page>
  </ItemGroup>
  <ItemGroup>
    <Compile Include="..\..\Common\Automaion\FooTextBoxAutomationPeer.cs">
      <Link>FooTextBoxAutomationPeer.cs</Link>
    </Compile>
    <Compile Include="..\..\Common\CacheManager.cs">
      <Link>CacheManager.cs</Link>
    </Compile>
    <Compile Include="..\..\Common\CollectionDebugView.cs">
      <Link>CollectionDebugView.cs</Link>
    </Compile>
    <Compile Include="..\..\Common\Controller.cs">
      <Link>Controller.cs</Link>
    </Compile>
    <Compile Include="..\..\Common\Direct2D\CustomTextRenderer.cs">
      <Link>Direct2D\CustomTextRenderer.cs</Link>
    </Compile>
    <Compile Include="..\..\Common\Direct2D\D2DRenderCommon.cs">
      <Link>Direct2D\D2DRenderCommon.cs</Link>
    </Compile>
    <Compile Include="..\..\Common\Direct2D\DrawingEffect.cs">
      <Link>Direct2D\DrawingEffect.cs</Link>
    </Compile>
    <Compile Include="..\..\Common\Direct2D\InlineChar.cs">
      <Link>Direct2D\InlineChar.cs</Link>
    </Compile>
    <Compile Include="..\..\Common\Direct2D\MarkerFactory.cs">
      <Link>Direct2D\MarkerFactory.cs</Link>
    </Compile>
    <Compile Include="..\..\Common\Direct2D\MultiSet.cs">
      <Link>Direct2D\MultiSet.cs</Link>
    </Compile>
    <Compile Include="..\..\Common\Direct2D\MyTextLayout.cs">
      <Link>Direct2D\MyTextLayout.cs</Link>
    </Compile>
    <Compile Include="..\..\Common\Document.cs">
      <Link>Document.cs</Link>
    </Compile>
    <Compile Include="..\..\Common\EditView.cs">
      <Link>EditView.cs</Link>
    </Compile>
    <Compile Include="..\..\Common\FoldingCollection.cs">
      <Link>FoldingCollection.cs</Link>
    </Compile>
    <Compile Include="..\..\Common\GapBuffer+Enumerator.cs">
      <Link>GapBuffer+Enumerator.cs</Link>
    </Compile>
    <Compile Include="..\..\Common\GapBuffer.cs">
      <Link>GapBuffer.cs</Link>
    </Compile>
    <Compile Include="..\..\Common\IFoldingStrategy.cs">
      <Link>IFoldingStrategy.cs</Link>
    </Compile>
    <Compile Include="..\..\Common\IHilighter.cs">
      <Link>IHilighter.cs</Link>
    </Compile>
    <Compile Include="..\..\Common\ITextRender.cs">
      <Link>ITextRender.cs</Link>
    </Compile>
    <Compile Include="..\..\Common\LineToIndex.cs">
      <Link>LineToIndex.cs</Link>
    </Compile>
    <Compile Include="..\..\Common\MarkerCollection.cs">
      <Link>MarkerCollection.cs</Link>
    </Compile>
    <Compile Include="..\..\Common\PrintableView.cs">
      <Link>PrintableView.cs</Link>
    </Compile>
    <Compile Include="..\..\Common\Range.cs">
      <Link>Range.cs</Link>
    </Compile>
    <Compile Include="..\..\Common\RangeCollection.cs">
      <Link>RangeCollection.cs</Link>
    </Compile>
    <Compile Include="..\..\Common\RangeTree.cs">
      <Link>RangeTree.cs</Link>
    </Compile>
    <Compile Include="..\..\Common\RangeTreeNode.cs">
      <Link>RangeTreeNode.cs</Link>
    </Compile>
    <Compile Include="..\..\Common\ResourceManager.cs">
      <Link>ResourceManager.cs</Link>
    </Compile>
    <Compile Include="..\..\Common\SelectCollection.cs">
      <Link>SelectCollection.cs</Link>
    </Compile>
    <Compile Include="..\..\Common\StringBuffer.cs">
      <Link>StringBuffer.cs</Link>
    </Compile>
    <Compile Include="..\..\Common\TextPoint.cs">
      <Link>TextPoint.cs</Link>
    </Compile>
    <Compile Include="..\..\Common\TextServiceFramework\TextStoreHelper.cs">
      <Link>TextStoreHelper.cs</Link>
    </Compile>
    <Compile Include="..\..\Common\UndoCommands.cs">
      <Link>UndoCommands.cs</Link>
    </Compile>
    <Compile Include="..\..\Common\UndoManager.cs">
      <Link>UndoManager.cs</Link>
    </Compile>
    <Compile Include="..\..\Common\Util.cs">
      <Link>Util.cs</Link>
    </Compile>
    <Compile Include="..\..\Common\ViewBase.cs">
      <Link>ViewBase.cs</Link>
    </Compile>
    <Compile Include="..\..\Common\WatchDogPattern.cs">
      <Link>WatchDogPattern.cs</Link>
    </Compile>
    <Compile Include="..\..\Common\WinFileStream.cs">
      <Link>WinFileStream.cs</Link>
    </Compile>
    <Compile Include="Direct2D\D2DRender.cs" />
    <Compile Include="Direct2D\D2DRenderBase.cs" />
    <Compile Include="FooPrintText.cs" />
    <Compile Include="FooTextBox.cs" />
    <Compile Include="GripperManager.cs" />
    <Compile Include="Print\ComInterface.cs" />
    <Compile Include="Print\D2DPrintRender.cs" />
    <Compile Include="Print\DocumentSource.cs" />
    <Compile Include="Print\D2DPrintPreviewRender.cs" />
    <Compile Include="Print\PrintOptionBuilder.cs" />
    <Compile Include="Properties\AssemblyInfo.cs" />
  </ItemGroup>
  <ItemGroup>
    <Reference Include="SharpDX">
      <HintPath>..\Libs\SharpDX.dll</HintPath>
    </Reference>
    <Reference Include="SharpDX.Direct2D1">
      <HintPath>..\Libs\SharpDX.Direct2D1.dll</HintPath>
    </Reference>
    <Reference Include="SharpDX.Direct3D11">
      <HintPath>..\Libs\SharpDX.Direct3D11.dll</HintPath>
    </Reference>
    <Reference Include="SharpDX.DXGI">
      <HintPath>..\Libs\SharpDX.DXGI.dll</HintPath>
    </Reference>
  </ItemGroup>
  <ItemGroup>
    <ProjectReference Include="..\..\Common\DotNetTextStore\DotNetTextStore.Metro.csproj">
      <Project>{453c491e-ef3a-41ad-a725-8855c1cb2c84}</Project>
      <Name>DotNetTextStore.Metro</Name>
    </ProjectReference>
  </ItemGroup>
  <ItemGroup>
    <PRIResource Include="strings\en-US\Resources.resw" />
  </ItemGroup>
  <ItemGroup>
    <PRIResource Include="strings\ja-JP\Resources.resw" />
  </ItemGroup>
  <PropertyGroup Condition=" '$(VisualStudioVersion)' == '' or '$(VisualStudioVersion)' &lt; '12.0' ">
    <VisualStudioVersion>12.0</VisualStudioVersion>
  </PropertyGroup>
  <Import Project="$(MSBuildExtensionsPath)\Microsoft\WindowsXaml\v$(VisualStudioVersion)\Microsoft.Windows.UI.Xaml.CSharp.targets" />
  <!-- To modify your build process, add your task inside one of the targets below and uncomment it. 
       Other similar extension points exist, see Microsoft.Common.targets.
  <Target Name="BeforeBuild">
  </Target>
  <Target Name="AfterBuild">
  </Target>
  -->
</Project>